<?php
/**
 * Feminine Lifestyle Blog Standalone Functions.
 *
 * @package Feminine_Lifestyle_Blog
 */

if ( ! function_exists( 'feminine_lifestyle_blog_posted_on' ) ) :
/**
 * Prints HTML with meta information for the current post-date/time.
 */
function feminine_lifestyle_blog_posted_on() {

    $ed_post_date         = get_theme_mod( 'ed_post_date', false );
    $ed_updated_post_date = get_theme_mod( 'ed_post_update_date', true );
    $on = '';
    
    if ( !$ed_post_date ) {

        if ( get_the_time( 'U' ) !== get_the_modified_time( 'U' ) ) {
    		if( $ed_updated_post_date && ( get_the_modified_time( 'U' ) > get_the_time( 'U' ) ) ){
                $time_string = '<time class="entry-date published updated" datetime="%3$s" itemprop="dateModified">%4$s</time><time class="updated" datetime="%1$s" itemprop="datePublished">%2$s</time>';
                $on = __( 'Updated on: ', 'feminine-lifestyle-blog' );		  
    		}else{
                $time_string = '<time class="entry-date published" datetime="%1$s" itemprop="datePublished">%2$s</time><time class="updated" datetime="%3$s" itemprop="dateModified">%4$s</time>';  
    		}        
    	}else{
    	   $time_string = '<time class="entry-date published updated" datetime="%1$s" itemprop="datePublished">%2$s</time><time class="updated" datetime="%3$s" itemprop="dateModified">%4$s</time>';   
    	}

    	$time_string = sprintf( $time_string,
    		esc_attr( get_the_date( 'c' ) ),
    		esc_html( get_the_date() ),
    		esc_attr( get_the_modified_date( 'c' ) ),
    		esc_html( get_the_modified_date() )
    	);
        
        $posted_on = sprintf( '%1$s %2$s', esc_html( $on ), '<a href="' . esc_url( get_permalink() ) . '" rel="bookmark">' . $time_string . '</a>' );
    	
    	echo '<span class="posted-on">' . $posted_on . '</span>'; // WPCS: XSS OK.
    }
}
endif;

if ( ! function_exists( 'feminine_lifestyle_blog_posted_by' ) ) :
/**
 * Prints HTML with meta information for the current author.
 */
function feminine_lifestyle_blog_posted_by() {
    global $post;
    $author_id = $post->post_author;

    $ed_post_author = get_theme_mod( 'ed_post_author', false );    

    if ( ! $ed_post_author ) {

    	$byline = sprintf(
    		/* translators: %s: post author. */
    		esc_html_x( 'by %s', 'post author', 'feminine-lifestyle-blog' ),
    		'<span itemprop="name"><a class="url fn n" href="' . esc_url( get_author_posts_url( get_the_author_meta( 'ID', $author_id) ) ) . '" itemprop="url">' . esc_html( get_the_author_meta( 'display_name', $author_id ) ) . '</a></span>' 
        );
    	echo '<span class="byline" itemprop="author" itemscope itemtype="https://schema.org/Person">' . $byline . '</span>';
    }
}
endif;

if( ! function_exists( 'feminine_lifestyle_blog_comment_count' ) ) :
/**
 * Comment Count
*/
function feminine_lifestyle_blog_comment_count( $echo = true ){
    $comment    = get_theme_mod( 'ed_comments', true );
    if ( $comment && $echo && !post_password_required() && ( comments_open() || get_comments_number() ) ) {
		echo '<span class="comments"><i class="far fa-comment-alt"></i>';
		comments_popup_link(
			sprintf(
				wp_kses(
					/* translators: %s: post title */
					__( 'Leave a Comment<span class="screen-reader-text"> on %s</span>', 'feminine-lifestyle-blog' ),
					array(
						'span' => array(
							'class' => array(),
						),
					)
				),
				get_the_title()
			)
		);
		echo '</span>';
	}elseif ( $comment && $echo && !post_password_required() && ( comments_open() || get_comments_number() ) ) {
        return true;
    }else{
        return false;
    }
       
}
endif;

if ( ! function_exists( 'feminine_lifestyle_blog_category' ) ) :
/**
 * Prints categories
 */
function feminine_lifestyle_blog_category(){

    $ed_cat_single = get_theme_mod( 'ed_category', false );
    /* translators: used between list items, there is a space after the comma */
    $categories_list = get_the_category_list( ' ' );
	// Hide category and tag text for pages.
	if ( 'post' === get_post_type() && ! $ed_cat_single && $categories_list ) {
		echo '<span class="category">' . $categories_list . '</span>';	
	}
}
endif;

if ( ! function_exists( 'feminine_lifestyle_blog_tag' ) ) :
/**
 * Prints tags
 */
function feminine_lifestyle_blog_tag(){
	// Hide category and tag text for pages.
	if ( 'post' === get_post_type() ) {
		/* translators: used between list items, there is a space after the comma */
		$tags_list = get_the_tag_list();
		if ( $tags_list ) {
            echo '<span class="cat-tags">' . $tags_list . '</span>';
		}
	}
}
endif;

if( ! function_exists( 'feminine_lifestyle_blog_get_posts_list' ) ) :
/**
 * Returns Latest, Related & Popular Posts
*/
function feminine_lifestyle_blog_get_posts_list( $status ){
    global $post;
    
    $args = array(
        'post_type'           => 'post',
        'ignore_sticky_posts' => true
    );
    
    switch( $status ){
        case 'latest':        
        $args['posts_per_page'] = 3;
        $title                  = __( 'Latest Posts', 'feminine-lifestyle-blog' );
        $class                  = 'additional-post';
        $image_size             = 'feminine-lifestyle-blog-latest-post';
        break;
        
        case 'related':
        $args['posts_per_page'] = 2;
        $args['post__not_in']   = array( $post->ID );
        $args['orderby']        = 'rand';
        $title                  = get_theme_mod( 'related_post_title', __( 'Recommended Articles', 'feminine-lifestyle-blog' ) );
        $class                  = 'additional-post';
        $image_size             = 'feminine-lifestyle-blog-latest-post';
        $cats = get_the_category( $post->ID );        
        if( $cats ){
            $c = array();
            foreach( $cats as $cat ){
                $c[] = $cat->term_id; 
            }
            $args['category__in'] = $c;
        }
        break;   
    }
    
    $qry = new WP_Query( $args );
    
    if( $qry->have_posts() ){ ?>    
        <div class="<?php echo esc_attr( $class ); ?>">
    		<?php 
            if( $title ) echo '<h2 class="title">' . esc_html( $title ) . '</h2>'; ?>
            <div class="article-wrap">
                <?php while( $qry->have_posts() ){ $qry->the_post(); ?>
                    <article class="post">
                        <a href="<?php the_permalink(); ?>" class="post-thumbnail">
                            <?php
                                if( has_post_thumbnail() ){
                                    the_post_thumbnail( $image_size, array( 'itemprop' => 'image' ) );
                                }else{ 
                                    feminine_lifestyle_blog_get_fallback_svg( $image_size );//fallback
                                }
                            ?>
                        </a>
                        <header class="entry-header">
                            <div class="entry-meta">
                                <?php
                                    feminine_lifestyle_blog_category();
                                    the_title( '<h3 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h3>' );
                                ?>     
                            </div>                   
                        </header>
                    </article>
                <?php } ?>
            </div>    		
    	</div>
        <?php
        wp_reset_postdata();
    }
}
endif;

if( ! function_exists( 'feminine_lifestyle_blog_site_branding' ) ) :
/**
 * Site Branding
*/
function feminine_lifestyle_blog_site_branding( $mobile = false ){ 

    $site_title       = get_bloginfo( 'name' );
    $site_description = get_bloginfo( 'description', 'display' );
    $header_text      = get_theme_mod( 'header_text', 1 );
    
    if( has_custom_logo() || $site_title || $site_description || $header_text ) : 
        if( has_custom_logo() && ( $site_title || $site_description ) && $header_text ) {
            $branding_class = ' has-image-text';
        }else{
            $branding_class = '';
        } ?>
        <div class="site-branding<?php echo esc_attr( $branding_class ); ?>" itemscope itemtype="http://schema.org/Organization">
            <?php 
                if( function_exists( 'has_custom_logo' ) && has_custom_logo() ){
                    echo '<div class="site-logo">';
                    the_custom_logo();
                    echo '</div>';
                } 
                if( $site_title || $site_description ) :
                    echo '<div class="site-title-wrap">';
                    if( is_front_page() && ! $mobile && $site_title){ ?>
                        <h1 class="site-title" itemprop="name"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home" itemprop="url"><?php bloginfo( 'name' ); ?></a></h1>
                        <?php 
                    }else if( $site_title ){ ?>
                        <p class="site-title" itemprop="name"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home" itemprop="url"><?php bloginfo( 'name' ); ?></a></p>
                    <?php
                    }
                    
                    if ( $site_description || is_customize_preview() ){ ?>
                        <p class="site-description" itemprop="description"><?php echo $site_description; ?></p>
                    <?php }
                    echo '</div>';
                endif; 
            ?>
        </div>    
    <?php endif;  
}
endif;

if( ! function_exists( 'feminine_lifestyle_blog_social_links' ) ) :
/**
 * Social Links 
*/
function feminine_lifestyle_blog_social_links( $echo = true ){ 
    $defaults = array(
        array(
            'font' => 'fab fa-facebook-f',
            'link' => 'https://www.facebook.com/',                        
        ),
        array(
            'font' => 'fab fa-twitter',
            'link' => 'https://twitter.com/',
        ),
        array(
            'font' => 'fab fa-youtube',
            'link' => 'https://www.youtube.com/',
        ),
        array(
            'font' => 'fab fa-instagram',
            'link' => 'https://www.instagram.com/',
        ),
        array(
            'font' => 'fab fa-pinterest',
            'link' => 'https://www.pinterest.com/',
        )
    );
    $social_links = get_theme_mod( 'social_links', $defaults );
    $ed_social    = get_theme_mod( 'ed_social_links', false ); 
    
    if( $ed_social && $social_links && $echo ){ ?>
    <ul class="social-networks">
    	<?php 
        foreach( $social_links as $link ){
    	   if( $link['link'] ){ ?>
            <li>
                <a href="<?php echo esc_url( $link['link'] ); ?>" target="_blank" rel="nofollow noopener">
                    <i class="<?php echo esc_attr( $link['font'] ); ?>"></i>
                </a>
            </li>    	   
            <?php
            } 
        } ?>
	</ul>
    <?php    
    }elseif( $ed_social && $social_links ){
        return true;
    }else{
        return false;
    }                                
}
endif;

if( ! function_exists( 'feminine_lifestyle_blog_search_func' ) ) :
/**
 * Form Icon
*/
function feminine_lifestyle_blog_search_func(){ 

    $ed_search     = get_theme_mod( 'ed_header_search', false );
    $ed_cart       = get_theme_mod( 'ed_shopping_cart', false );

    if( $ed_search ){ ?>
        <div class="header-search">
            <button class="search-toggle" data-toggle-target=".search-modal" data-toggle-body-class="showing-search-modal" data-set-focus=".search-modal .search-field" aria-expanded="false">
                <svg xmlns="http://www.w3.org/2000/svg" width="16.197" height="16.546"
                    viewBox="0 0 16.197 16.546">
                    <path id="icons8-search"
                        d="M9.939,3a5.939,5.939,0,1,0,3.472,10.754l4.6,4.585.983-.983L14.448,12.8A5.939,5.939,0,0,0,9.939,3Zm0,.7A5.24,5.24,0,1,1,4.7,8.939,5.235,5.235,0,0,1,9.939,3.7Z"
                        transform="translate(-3.5 -2.5)" fill="#222" stroke="#222" stroke-width="1"
                        opacity="0.8"></path>
                </svg>
            </button>
            <div class="header-search-wrap search-modal cover-modal" data-modal-target-string=".search-modal">
                <div class="header-search-inner">
                    <?php get_search_form(); ?>
                    <button class="close" data-toggle-target=".search-modal" data-toggle-body-class="showing-search-modal" data-set-focus=".search-modal .search-field" aria-expanded="false"><?php esc_html_e( 'Close', 'feminine-lifestyle-blog' ); ?></button>
                </div>
            </div>
        </div>
    <?php }
    if ( feminine_lifestyle_blog_is_woocommerce_activated() && $ed_cart ) feminine_lifestyle_blog_wc_cart_count(); 
}
endif;

if( ! function_exists( 'feminine_lifestyle_blog_primary_navigation' ) ) :
/**
 * Primary Navigation.
*/
function feminine_lifestyle_blog_primary_navigation(){ ?>
	<nav id="site-navigation" class="main-navigation" itemscope itemtype="http://schema.org/SiteNavigationElement">
		<?php
			wp_nav_menu( array(
				'theme_location' => 'primary',
				'menu_id'        => 'primary-menu',
                'menu_class'     => 'nav-menu',
                'fallback_cb'    => 'feminine_lifestyle_blog_primary_menu_fallback',
			) );
		?>
	</nav><!-- #site-navigation -->
    <?php
}
endif;

if( ! function_exists( 'feminine_lifestyle_blog_primary_menu_fallback' ) ) :
/**
 * Fallback for primary menu
*/
function feminine_lifestyle_blog_primary_menu_fallback(){
    if( current_user_can( 'manage_options' ) ){
        echo '<div id="primary-menu" class="nav-menu">';
        echo '<a href="' . esc_url( admin_url( 'nav-menus.php' ) ) . '">' . esc_html__( 'Click here to add a menu', 'feminine-lifestyle-blog' ) . '</a>';
        echo '</div>';
    }
}
endif;

if( ! function_exists( 'feminine_lifestyle_blog_secondary_navigation' ) ) :
/**
 * Secondary Navigation
*/
function feminine_lifestyle_blog_secondary_navigation(){
    
	if( current_user_can( 'manage_options' ) || has_nav_menu( 'secondary' ) ) { ?>
        <nav class="secondary-nav">
            <button class="toggle-btn" data-toggle-target=".menu-modal" data-toggle-body-class="showing-menu-modal" aria-expanded="false" data-set-focus=".close-nav-toggle">
                <span class="toggle-bar"></span>
                <span class="toggle-bar"></span>
                <span class="toggle-bar"></span>
            </button>
            <div class="secondary-menu-list menu-modal cover-modal" data-modal-target-string=".menu-modal">
                <button class="close-btn close-nav-toggle" data-toggle-target=".menu-modal" data-toggle-body-class="showing-menu-modal" aria-expanded="false" data-set-focus=".menu-modal"></button>
                <div class="mobile-menu" aria-label="<?php esc_attr_e( 'Mobile', 'feminine-lifestyle-blog' ); ?>">
                    <?php
                        wp_nav_menu( array(
                            'theme_location' => 'secondary',
                            'menu_id'        => 'secondary-menu',
                            'menu_class'     => 'nav-menu',
                            'fallback_cb'    => 'feminine_lifestyle_blog_secondary_menu_fallback',
                        ) );
                    ?>
                </div>
            </div>
        </nav>
    <?php
    }
}
endif;

if( ! function_exists( 'feminine_lifestyle_blog_secondary_menu_fallback' ) ) :
/**
 * Fallback for secondary menu
*/
function feminine_lifestyle_blog_secondary_menu_fallback(){
    if( current_user_can( 'manage_options' ) ){
        echo '<div id="secondary-menu" class="nav-menu">';
        echo '<a href="' . esc_url( admin_url( 'nav-menus.php' ) ) . '">' . esc_html__( 'Click here to add a menu', 'feminine-lifestyle-blog' ) . '</a>';
        echo '</div>';
    }
}
endif;

if( ! function_exists( 'feminine_lifestyle_blog_mobile_navigation' ) ) :
/**
 * Mobile Navigation
*/
function feminine_lifestyle_blog_mobile_navigation(){ ?>
    <div class="mobile-header">
        <div class="header-main">
            <div class="container">
                <div class="mob-nav-site-branding-wrap">
                    <div class="header-center">
                        <?php feminine_lifestyle_blog_site_branding( true ); ?>
                    </div>
                    <div class="header-left">
                        <?php feminine_lifestyle_blog_search_func(); ?>
                        <div class="toggle-btn-wrap">
                            <button class="toggle-btn" data-toggle-target=".main-menu-modal" data-toggle-body-class="showing-main-menu-modal" aria-expanded="false" data-set-focus=".close-main-nav-toggle">
                                <span class="toggle-bar"></span>
                                <span class="toggle-bar"></span>
                                <span class="toggle-bar"></span>
                            </button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="header-bottom-slide mobile-menu-list main-menu-modal cover-modal" data-modal-target-string=".main-menu-modal">
            <div class="header-bottom-slide-inner mobile-menu" aria-label="<?php esc_attr_e( 'Mobile', 'feminine-lifestyle-blog' ); ?>">
                <div class="container">
                    <div class="mobile-header-wrap">
                        <button class="close close-main-nav-toggle" data-toggle-target=".main-menu-modal" data-toggle-body-class="showing-main-menu-modal" aria-expanded="false" data-set-focus=".main-menu-modal"></button>
                    </div>
                    <div class="mobile-header-wrapper">
                        <div class="header-left">
                            <?php feminine_lifestyle_blog_primary_navigation(); ?>
                        </div>
                        <div class="header-right">
                            <?php feminine_lifestyle_blog_secondary_navigation(); ?>
                        </div>
                    </div>
                    <div class="header-social-wrapper">    
                        <div class="header-social">         
                            <?php feminine_lifestyle_blog_social_links(); ?>
                        </div>            
                    </div>
                </div>
            </div>
        </div>
    </div>
<?php }
endif;

if( ! function_exists( 'feminine_lifestyle_blog_breadcrumb' ) ) :
/**
 * Breadcrumbs
*/
function feminine_lifestyle_blog_breadcrumb() {
    global $post;
    $post_page  = get_option('page_for_posts'); //The ID of the page that displays posts.
    $show_front = get_option('show_on_front'); //What to show on the front page
    $home       = get_theme_mod('home_text', __('Home', 'feminine-lifestyle-blog')); // text for the 'Home' link
    $before     = '<span class="current" itemprop="itemListElement" itemscope itemtype="http://schema.org/ListItem">'; // tag before the current crumb
    $after      = '</span>'; // tag after the current crumb

    if( get_theme_mod( 'ed_breadcrumb', true ) ){
            
        $depth = 1;
        echo '<div class="breadcrumb-wrapper">
                <div id="crumbs" itemscope itemtype="http://schema.org/BreadcrumbList"> 
                    <span itemprop="itemListElement" itemscope itemtype="http://schema.org/ListItem">
                        <a itemprop="item" href="' . esc_url( home_url() ) . '"><span itemprop="name">' . esc_html( $home ) . '</span></a>
                        <meta itemprop="position" content="'. absint( $depth ).'" />
                    </span>';
        if( is_home() ){
            $depth = 2;
            echo $before . '<a itemprop="item" href="'. esc_url( get_the_permalink() ) .'"><span itemprop="name">' . esc_html( single_post_title( '', false ) ) .'</span></a><meta itemprop="position" content="'. absint( $depth ).'" /> '. $after;
            
        }elseif( is_category() ){
            
            $depth = 2;
            $thisCat = get_category( get_query_var( 'cat' ), false );

            if( $show_front === 'page' && $post_page ){ //If static blog post page is set
                $p = get_post( $post_page );
                echo '<span itemprop="itemListElement" itemscope itemtype="http://schema.org/ListItem"><a itemprop="item" href="' . esc_url( get_permalink( $post_page ) ) . '"><span itemprop="name">' . esc_html( $p->post_title ) . ' </span></a><meta itemprop="position" content="'. absint( $depth ).'" /></span>';
                $depth ++;  
            }

            if ( $thisCat->parent != 0 ) {
                $parent_categories = get_category_parents( $thisCat->parent, false, ',' );
                $parent_categories = explode( ',', $parent_categories );

                foreach ( $parent_categories as $parent_term ) {
                    $parent_obj = get_term_by( 'name', $parent_term, 'category' );
                    if( is_object( $parent_obj ) ){
                        $term_url    = get_term_link( $parent_obj->term_id );
                        $term_name   = $parent_obj->name;
                        echo ' <span itemprop="itemListElement" itemscope itemtype="http://schema.org/ListItem"><a itemprop="item" href="' . esc_url( $term_url ) . '"><span itemprop="name">' . esc_html( $term_name ) . ' </span></a><meta itemprop="position" content="'. absint( $depth ).'" /></span> ';
                        $depth ++;
                    }
                }
            }
            echo $before . ' <a itemprop="item" href="' . esc_url( get_term_link( $thisCat->term_id) ) . '"><span itemprop="name">' .  esc_html( single_cat_title( '', false ) ) . '</span></a><meta itemprop="position" content="'. absint( $depth ).'" /> ' . $after;
        
        }elseif( feminine_lifestyle_blog_is_woocommerce_activated() && ( is_product_category() || is_product_tag() ) ){ //For Woocommerce archive page
        
            $depth = 2;
            $current_term = $GLOBALS['wp_query']->get_queried_object();
            
            if ( wc_get_page_id( 'shop' ) ) { //Displaying Shop link in woocommerce archive page
                $_name = wc_get_page_id( 'shop' ) ? get_the_title( wc_get_page_id( 'shop' ) ) : '';
                $shop_url = wc_get_page_id( 'shop' ) && wc_get_page_id( 'shop' ) > 0  ? get_the_permalink( wc_get_page_id( 'shop' ) ) : home_url( '/shop' );
                if ( ! $_name ) {
                    $product_post_type = get_post_type_object( 'product' );
                    $_name = $product_post_type->labels->singular_name;
                }
                echo ' <span itemprop="itemListElement" itemscope itemtype="http://schema.org/ListItem"><a itemprop="item" href="' . esc_url( $shop_url ) . '"><span itemprop="name">' . esc_html( $_name ) . '</span></a><meta itemprop="position" content="'. absint( $depth ).'" /></span> ';
                $depth++;
            }

            if( is_product_category() ){
                $ancestors = get_ancestors( $current_term->term_id, 'product_cat' );
                $ancestors = array_reverse( $ancestors );
                foreach ( $ancestors as $ancestor ) {
                    $ancestor = get_term( $ancestor, 'product_cat' );    
                    if ( ! is_wp_error( $ancestor ) && $ancestor ) {
                        echo ' <span itemprop="itemListElement" itemscope itemtype="http://schema.org/ListItem"><a itemprop="item" href="' . esc_url( get_term_link( $ancestor ) ) . '"><span itemprop="name">' . esc_html( $ancestor->name ) . '</span></a><meta itemprop="position" content="'. absint( $depth ).'" /></span> ';
                        $depth++;
                    }
                }
            }           
            echo $before .'<a itemprop="item" href="' . esc_url( get_term_link( $current_term->term_id ) ) . '"><span itemprop="name">'. esc_html( $current_term->name ) .'</span></a><meta itemprop="position" content="'. absint( $depth ).'" />'. $after;
            
        }elseif( feminine_lifestyle_blog_is_woocommerce_activated() && is_shop() ){ //Shop Archive page

            $depth = 2;
            if ( get_option( 'page_on_front' ) == wc_get_page_id( 'shop' ) ) {
                return;
            }
            $_name = wc_get_page_id( 'shop' ) ? get_the_title( wc_get_page_id( 'shop' ) ) : '';
            $shop_url = wc_get_page_id( 'shop' ) && wc_get_page_id( 'shop' ) > 0  ? get_the_permalink( wc_get_page_id( 'shop' ) ) : home_url( '/shop' );

            if ( ! $_name ) {
                $product_post_type = get_post_type_object( 'product' );
                $_name = $product_post_type->labels->singular_name;
            }
            echo $before .'<a itemprop="item" href="' . esc_url( $shop_url ) . '"><span itemprop="name">'. esc_html( $_name ) .'</span></a><meta itemprop="position" content="'. absint( $depth ).'" />'. $after; 

        }elseif( is_tag() ){
            
            $queried_object = get_queried_object();
            $depth = 2;

            echo $before . '<a itemprop="item" href="' . esc_url( get_term_link( $queried_object->term_id ) ) . '"><span itemprop="name">' . esc_html( single_tag_title( '', false ) ) .'</span></a><meta itemprop="position" content="'. absint( $depth ).'" />'. $after;
     
        }elseif( is_author() ){
            
            $depth = 2;
            global $author;

            $userdata = get_userdata( $author );
            echo $before . '<a itemprop="item" href="' . esc_url( get_author_posts_url( $author ) ) . '"><span itemprop="name">' . esc_html( $userdata->display_name ) .'</span></a><meta itemprop="position" content="'. absint( $depth ).'" />'. $after;
     
        }elseif( is_search() ){
            
            $depth = 2;
            $request_uri = $_SERVER['REQUEST_URI'];
            echo $before .'<a itemprop="item" href="'. esc_url( $request_uri ) .'"><span itemprop="name">'. esc_html__( 'Search Results for "', 'feminine-lifestyle-blog' ) . esc_html( get_search_query() ) . esc_html__( '"', 'feminine-lifestyle-blog' ) .'</span></a><meta itemprop="position" content="'. absint( $depth ).'" />'. $after;
        
        }elseif( is_day() ){
            
            $depth = 2;
            echo '<span itemprop="itemListElement" itemscope itemtype="http://schema.org/ListItem"><a itemprop="item" href="' . esc_url( get_year_link( get_the_time( __( 'Y', 'feminine-lifestyle-blog' ) ) ) ) . '"><span itemprop="name">' . esc_html( get_the_time( __( 'Y', 'feminine-lifestyle-blog' ) ) ) . ' </span></a><meta itemprop="position" content="'. absint( $depth ).'"/>';
            $depth ++;
            echo '<span itemprop="itemListElement" itemscope itemtype="http://schema.org/ListItem"><a itemprop="item" href="' . esc_url( get_month_link( get_the_time( __( 'Y', 'feminine-lifestyle-blog' ) ), get_the_time( __( 'm', 'feminine-lifestyle-blog' ) ) ) ) . '"><span itemprop="name">' . esc_html( get_the_time( __( 'F', 'feminine-lifestyle-blog' ) ) ) . ' </span></a><meta itemprop="position" content="'. absint( $depth ).'" /></span> ';
            $depth ++;
            echo $before .'<a itemprop="item" href="' . esc_url( get_day_link( get_the_time( __( 'Y', 'feminine-lifestyle-blog' ) ), get_the_time( __( 'm', 'feminine-lifestyle-blog' ) ), get_the_time( __( 'd', 'feminine-lifestyle-blog' ) ) ) ) . '"><span itemprop="name">'. esc_html( get_the_time( __( 'd', 'feminine-lifestyle-blog' ) ) ) .'</span></a><meta itemprop="position" content="'. absint( $depth ).'" />'. $after;
        
        }elseif( is_month() ){
            
            $depth = 2;
            echo '<span itemprop="itemListElement" itemscope itemtype="http://schema.org/ListItem"><a itemprop="item" href="' . esc_url( get_year_link( get_the_time( __( 'Y', 'feminine-lifestyle-blog' ) ) ) ) . '"><span itemprop="name">' . esc_html( get_the_time( __( 'Y', 'feminine-lifestyle-blog' ) ) ) . ' </span></a><meta itemprop="position" content="'. absint( $depth ).'" /></span> ';
            $depth++;
            echo $before .'<a itemprop="item" href="' . esc_url( get_month_link( get_the_time( __( 'Y', 'feminine-lifestyle-blog' ) ), get_the_time( __( 'm', 'feminine-lifestyle-blog' ) ) ) ) . '"><span itemprop="name">'. esc_html( get_the_time( __( 'F', 'feminine-lifestyle-blog' ) ) ) .'</span></a><meta itemprop="position" content="'. absint( $depth ).'" />'. $after;
        
        }elseif( is_year() ){
            
            $depth = 2;
            echo $before .'<a itemprop="item" href="' . esc_url( get_year_link( get_the_time( __( 'Y', 'feminine-lifestyle-blog' ) ) ) ) . '"><span itemprop="name">'. esc_html( get_the_time( __( 'Y', 'feminine-lifestyle-blog' ) ) ) .'</span></a><meta itemprop="position" content="'. absint( $depth ).'" />'. $after;

        }elseif( is_single() && !is_attachment() ){
            
            if( get_post_type() != 'post' ){
                $depth = 2;
                $post_type = get_post_type_object( get_post_type() );

                if( $post_type->has_archive == true ){// For CPT Archive Link
                   
                   // Add support for a non-standard label of 'archive_title' (special use case).
                   $label = !empty( $post_type->labels->archive_title ) ? $post_type->labels->archive_title : $post_type->labels->name;
                   
                   echo '<span itemprop="itemListElement" itemscope itemtype="http://schema.org/ListItem"><a href="'.esc_url( get_post_type_archive_link( get_post_type() ) ) .'" itemprop="item"><span itemprop="name">'.esc_html($label).'</span></a><meta itemprop="position" content="'. absint( $depth ).'" /></span>';

                   $depth ++;    
                }

                echo $before .'<a href="' . esc_url( get_the_permalink() ) . '" itemprop="item"><span itemprop="name">'. esc_html( strip_tags( get_the_title() ) ) .'</span></a><meta itemprop="position" content="'. absint( $depth ).'" />'. $after;
                
            }else{ //For Post
                
                $cat_object       = get_the_category();
                $potential_parent = 0;
                $depth            = 2;
                
                if( $show_front === 'page' && $post_page ){ //If static blog post page is set
                    $p = get_post( $post_page );
                    echo ' <span itemprop="itemListElement" itemscope itemtype="http://schema.org/ListItem"><a href="' . esc_url( get_permalink( $post_page ) ) . '" itemprop="item"><span itemprop="name">' . esc_html( $p->post_title ) . ' </span></a><meta itemprop="position" content="'. absint( $depth ).'" /></span> ';  
                    $depth++;
                }
                
                if( is_array( $cat_object ) ){ //Getting category hierarchy if any
        
                    //Now try to find the deepest term of those that we know of
                    $use_term = key( $cat_object );
                    foreach( $cat_object as $key => $object )
                    {
                        //Can't use the next($cat_object) trick since order is unknown
                        if( $object->parent > 0  && ( $potential_parent === 0 || $object->parent === $potential_parent ) ){
                            $use_term = $key;
                            $potential_parent = $object->term_id;
                        }
                    }
                    
                    $cat = $cat_object[$use_term];
              
                    $cats = get_category_parents( $cat, false, ',' );
                    $cats = explode( ',', $cats );

                    foreach ( $cats as $cat ) {
                        $cat_obj = get_term_by( 'name', $cat, 'category' );
                        if( is_object( $cat_obj ) ){
                            $term_url    = get_term_link( $cat_obj->term_id );
                            $term_name   = $cat_obj->name;
                            echo ' <span itemprop="itemListElement" itemscope itemtype="http://schema.org/ListItem"><a itemprop="item" href="' . esc_url( $term_url ) . '"><span itemprop="name">' . esc_html( $term_name ) . ' </span></a><meta itemprop="position" content="'. absint( $depth ).'" /></span> ';
                            $depth ++;
                        }
                    }
                }

                 echo $before .'<a itemprop="item" href="' . esc_url( get_the_permalink() ) . '"><span itemprop="name">'. esc_html( get_the_title() ) .'</span></a><meta itemprop="position" content="'. absint( $depth ).'" />'. $after;     
                
            }
        
        }elseif( !is_single() && !is_page() && get_post_type() != 'post' && !is_404() ){
            
            $depth = 2;
            $post_type = get_post_type_object(get_post_type());
            if( get_query_var('paged') ){
                echo '<span itemprop="itemListElement" itemscope itemtype="http://schema.org/ListItem"><a href="' . esc_url( get_post_type_archive_link( $post_type->name ) ) . '" itemprop="item"><span itemprop="name">' . esc_html( $post_type->label ) . '</span></a><meta itemprop="position" content="'. absint( $depth ).'" />';
                echo ' </span> ' . $before . sprintf( __('Page %s', 'feminine-lifestyle-blog'), get_query_var('paged') ) . $after;
            }elseif( is_archive() ){
                echo $before .'<a itemprop="item" href="' . esc_url( get_post_type_archive_link( $post_type->name ) ) . '"><span itemprop="name">'. esc_html( post_type_archive_title( '', false ) ) .'</span></a><meta itemprop="position" content="'. absint( $depth ).'" />'. $after;
            }else{
                echo $before .'<a itemprop="item" href="' . esc_url( get_post_type_archive_link( $post_type->name ) ) . '"><span itemprop="name">'. esc_html( $post_type->label ) .'</span></a><meta itemprop="position" content="'. absint( $depth ).'" />'. $after;
            }

        }elseif( is_attachment() ){
            
            $depth = 2;
            $parent = get_post( $post->post_parent );
            $cat = get_the_category( $parent->ID ); 
            if( $cat ){
                $cat = $cat[0];
                echo get_category_parents( $cat, TRUE);
                echo '<span itemprop="itemListElement" itemscope itemtype="http://schema.org/ListItem"><a href="' . esc_url( get_permalink( $parent ) ) . '" itemprop="item"><span itemprop="name">' . esc_html( $parent->post_title ) . '<span></a><meta itemprop="position" content="'. absint( $depth ).'" /></span>';
            }
            echo  $before .'<a itemprop="item" href="' . esc_url( get_the_permalink() ) . '"><span itemprop="name">'. esc_html( get_the_title() ) .'</span></a><meta itemprop="position" content="'. absint( $depth ).'" />'. $after;
        
        }elseif( is_page() && !$post->post_parent ){
            
           $depth = 2;
            echo $before .'<a itemprop="item" href="' . esc_url( get_the_permalink() ) . '"><span itemprop="name">'. esc_html( get_the_title() ) .'</span></a><meta itemprop="position" content="'. absint( $depth ).'" />'. $after;

        }elseif( is_page() && $post->post_parent ){
            
            global $post;
            $depth = 2;
            $parent_id  = $post->post_parent;
            $breadcrumbs = array();
            
            while( $parent_id ){
                $current_page = get_post( $parent_id );
                $breadcrumbs[] = $current_page->ID;
                $parent_id  = $current_page->post_parent;
            }

            $breadcrumbs = array_reverse( $breadcrumbs );

            for ( $i = 0; $i < count( $breadcrumbs); $i++ ){
                echo '<span itemprop="itemListElement" itemscope itemtype="http://schema.org/ListItem"><a href="' . esc_url( get_permalink( $breadcrumbs[$i] ) ) . '" itemprop="item"><span itemprop="name">' . esc_html( get_the_title( $breadcrumbs[$i] ) ) . '</span></a><meta itemprop="position" content="'. absint( $depth ).'" /></span>';
                $depth++;
            }

            echo $before .'<a href="' . get_permalink() . '" itemprop="item"><span itemprop="name">'. esc_html( get_the_title() ) .'</span></a><meta itemprop="position" content="'. absint( $depth ).'" /></span>'. $after;
        
        }elseif( is_404() ){
            echo $before . esc_html__( '404 Error - Page Not Found', 'feminine-lifestyle-blog' ) . $after;
        }
                
        echo '</div></div><!-- .breadcrumb-wrapper -->';
        
    }  
}
endif;

if( ! function_exists( 'feminine_lifestyle_blog_get_banner' ) ) :
/**
 * Prints Banner Section
 * 
*/
function feminine_lifestyle_blog_get_banner(){
    $ed_banner       = get_theme_mod( 'ed_banner_section', 'static_banner' );
    $posts_per_page  = get_theme_mod( 'no_of_slides', 3 );
    $ed_caption      = get_theme_mod( 'slider_caption', true );
    $banner_title    = get_theme_mod( 'banner_title', __( 'Explore the world around you.', 'feminine-lifestyle-blog' ) );
    $banner_subtitle = get_theme_mod( 'banner_subtitle' , __( 'Plan, create and start your own adventure just the way you like!', 'feminine-lifestyle-blog' ) ) ;
    $banner_button   = get_theme_mod( 'banner_button', __( 'Read More', 'feminine-lifestyle-blog' ) );
    $banner_url      = get_theme_mod( 'banner_url', '#' );
    $image_size      = 'feminine-lifestyle-blog-slider-one';
    
    if( ( $ed_banner == 'static_banner' ) && has_custom_header() ){ 
        $banner_class = ' static-cta-banner cta-layout-two'; ?>
        <div id="banner_section" class="site-banner<?php if( has_header_video() ) echo esc_attr( ' video-banner' ); echo esc_attr( $banner_class ); ?>">
            <div class="container">
                <div class="banner-caption-wrap">
                    <?php
                    the_custom_header_markup();
                    if( ( $banner_title || $banner_subtitle || ( $banner_button && $banner_url ) )){ ?>
                        <div class="banner-caption">
                            <?php 
                            if( $banner_title ) echo '<h2 class="banner-title">' . esc_html( $banner_title ) . '</h2>';
                            if( $banner_subtitle ) echo '<div class="banner-desc">' . wp_kses_post( $banner_subtitle ) . '</div>';
                            if( $banner_button && $banner_url ) {
                                $banner_url_new_tab = ( get_theme_mod( 'banner_url_new_tab', false ) ) ? 'target="_blank"' : '';
                                echo '<a href="'.esc_url( $banner_url ).'" class="btn btn-banner"' . $banner_url_new_tab . '><span>'.esc_html( $banner_button ).'</span></a>';
                            }
                            ?>
                        </div> <?php           
                    } ?>
                </div>
            </div>
        </div>
        <?php
    }elseif( $ed_banner == 'slider_banner' ){

        $args = array(
            'post_status'         => 'publish',
            'ignore_sticky_posts' => true,
            'post_type'           => 'post',
            'posts_per_page'      => $posts_per_page
        );
            
        $qry = new WP_Query( $args );
    
        if( $qry->have_posts() ){ ?>
            <div id="banner_section" class="site-banner style-one">
                <div class="item-wrap owl-carousel">
                    <?php while( $qry->have_posts() ){ $qry->the_post();              
                        ?>
                        <div class="item">
                            <?php 
                                echo '<a href="'. esc_url( get_the_permalink() ).'">'; 
                                if( has_post_thumbnail() ){
                                    the_post_thumbnail( $image_size, array( 'itemprop' => 'image' ) );    
                                }else{ 
                                    feminine_lifestyle_blog_get_fallback_svg( $image_size );//fallback
                                } 
                                echo '</a>'; 
                                if( $ed_caption  ){ ?>
                                    <div class="banner-caption">
                                        <div class="container">
                                            <div class="cat-links">
                                                <?php feminine_lifestyle_blog_category(); ?>
                                            </div>
                                            <h2 class="banner-title">
                                                <a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
                                            </h2>         
                                        </div>
                                    </div>
                                <?php } 
                            ?>
                        </div>
                    <?php } ?>
                </div>
            </div>
            <?php
            wp_reset_postdata(); 
        }
              
    } 
}
endif;

if( ! function_exists( 'feminine_lifestyle_blog_theme_comment' ) ) :
/**
 * Callback function for Comment List *
 * 
 * @link https://codex.wordpress.org/Function_Reference/wp_list_comments 
 */
function feminine_lifestyle_blog_theme_comment( $comment, $args, $depth ){
	if ( 'div' == $args['style'] ) {
		$tag = 'div';
		$add_below = 'comment';
	}else{
		$tag = 'li';
		$add_below = 'div-comment';
	}
?>
	<<?php echo $tag ?> <?php comment_class( empty( $args['has_children'] ) ? '' : 'parent' ) ?> id="comment-<?php comment_ID() ?>">
	
    <?php if ( 'div' != $args['style'] ) : ?>
    <div id="div-comment-<?php comment_ID() ?>" class="comment-body" itemscope itemtype="http://schema.org/UserComments">
	<?php endif; ?>
    	
        <footer class="comment-meta">
            <div class="comment-author vcard">
        	   <?php if ( $args['avatar_size'] != 0 ) echo get_avatar( $comment, $args['avatar_size'], '', 'avatar' ); ?>
        	</div><!-- .comment-author vcard -->
        </footer>
        
        <div class="text-holder">
        	<div class="top">
                <div class="left">
                    <?php if ( $comment->comment_approved == '0' ) : ?>
                		<em class="comment-awaiting-moderation"><?php _e( 'Your comment is awaiting moderation.', 'feminine-lifestyle-blog' ); ?></em>
                		<br />
                	<?php endif; ?>
                    <?php printf( __( '<b class="fn" itemprop="creator" itemscope itemtype="http://schema.org/Person">%s</b>', 'feminine-lifestyle-blog' ), get_comment_author_link() ); ?>
                	<div class="comment-metadata commentmetadata">
                        <a href="<?php echo esc_url( htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ); ?>">
                    		<time itemprop="commentTime" datetime="<?php echo esc_attr( get_gmt_from_date( get_comment_date() . get_comment_time(), 'Y-m-d H:i:s' ) ); ?>"><?php printf( esc_html__( '%1$s at %2$s', 'feminine-lifestyle-blog' ), get_comment_date(),  get_comment_time() ); ?></time>
                        </a>
                	</div>
                </div>                
            </div>            
            <div class="comment-content" itemprop="commentText"><?php comment_text(); ?></div>
            <div class="reply">
                <?php comment_reply_link( array_merge( $args, array( 'add_below' => $add_below, 'depth' => $depth, 'max_depth' => $args['max_depth'] ) ) ); ?>
            </div>        
        </div><!-- .text-holder -->
        
	<?php if ( 'div' != $args['style'] ) : ?>
    </div><!-- .comment-body -->
	<?php endif; 
}
endif;

if( ! function_exists( 'feminine_lifestyle_blog_sidebar' ) ) :
/**
 * Return sidebar layouts for pages/posts
*/
function feminine_lifestyle_blog_sidebar( $class = false ){
    global $post;
    $return      = false;
    $page_layout = get_theme_mod( 'page_sidebar_layout', 'right-sidebar' ); //Default Layout Style for Pages
    $post_layout = get_theme_mod( 'post_sidebar_layout', 'right-sidebar' ); //Default Layout Style for Posts
    $layout      = get_theme_mod( 'layout_style', 'right-sidebar' ); //Default Layout Style for Styling Settings
    
    if( is_singular( array( 'page', 'post' ) ) ){         
        if( get_post_meta( $post->ID, '_feminine_lifestyle_blog_sidebar_layout', true ) ){
            $sidebar_layout = get_post_meta( $post->ID, '_feminine_lifestyle_blog_sidebar_layout', true );
        }else{
            $sidebar_layout = 'default-sidebar';
        }
        
        if( is_page() ){
            if( is_active_sidebar( 'sidebar' ) ){
                if( $sidebar_layout == 'no-sidebar' || ( $sidebar_layout == 'default-sidebar' && $page_layout == 'no-sidebar' ) ){
                    $return = $class ? 'full-width' : false;
                }elseif( $sidebar_layout == 'centered' || ( $sidebar_layout == 'default-sidebar' && $page_layout == 'centered' ) ){
                    $return = $class ? 'full-width-centered' : false;
                }elseif( ( $sidebar_layout == 'default-sidebar' && $page_layout == 'right-sidebar' ) || ( $sidebar_layout == 'right-sidebar' ) ){
                    $return = $class ? 'rightsidebar' : 'sidebar';
                }elseif( ( $sidebar_layout == 'default-sidebar' && $page_layout == 'left-sidebar' ) || ( $sidebar_layout == 'left-sidebar' ) ){
                    $return = $class ? 'leftsidebar' : 'sidebar';
                }
            }else{
                $return = $class ? 'full-width' : false;
            }
        }elseif( is_single() ){
            if( is_active_sidebar( 'sidebar' ) ){
                if( $sidebar_layout == 'no-sidebar' || ( $sidebar_layout == 'default-sidebar' && $post_layout == 'no-sidebar' ) ){
                    $return = $class ? 'full-width' : false;
                }elseif( $sidebar_layout == 'centered' || ( $sidebar_layout == 'default-sidebar' && $post_layout == 'centered' ) ){
                    $return = $class ? 'full-width-centered' : false;
                }elseif( ( $sidebar_layout == 'default-sidebar' && $post_layout == 'right-sidebar' ) || ( $sidebar_layout == 'right-sidebar' ) ){
                    $return = $class ? 'rightsidebar' : 'sidebar';
                }elseif( ( $sidebar_layout == 'default-sidebar' && $post_layout == 'left-sidebar' ) || ( $sidebar_layout == 'left-sidebar' ) ){
                    $return = $class ? 'leftsidebar' : 'sidebar';
                }
            }else{
                $return = $class ? 'full-width' : false;
            }
        }
    }elseif( is_404() ){
        $return = $class ? 'full-width' : false;
    }else{
        if( $layout == 'no-sidebar' ){
            $return = $class ? 'full-width' : false;
        }elseif( is_active_sidebar( 'sidebar' ) ){            
            if( $class ){
                if( $layout == 'right-sidebar' ) $return = 'rightsidebar'; //With Sidebar
                if( $layout == 'left-sidebar' ) $return = 'leftsidebar';
            }else{
                $return = 'sidebar';    
            }                         
        }else{
            $return = $class ? 'full-width' : false;
        } 
    }    
    return $return; 
}
endif;

if( ! function_exists( 'feminine_lifestyle_blog_get_posts' ) ) :
/**
 * Fuction to list Custom Post Type
*/
function feminine_lifestyle_blog_get_posts( $post_type = 'post', $slug = false ){    
    $args = array(
    	'posts_per_page'   => -1,
    	'post_type'        => $post_type,
    	'suppress_filters' => true 
    );
    $posts_array = get_posts( $args );
    
    // Initate an empty array
    $post_options = array();
    $post_options[''] = __( ' -- Choose -- ', 'feminine-lifestyle-blog' );
    if ( ! empty( $posts_array ) ) {
        foreach ( $posts_array as $posts ) {
            if( $slug ){
                $post_options[ $posts->post_title ] = $posts->post_title;
            }else{
                $post_options[ $posts->ID ] = $posts->post_title;    
            }
        }
    }
    return $post_options;
    wp_reset_postdata();
}
endif;

if( ! function_exists( 'feminine_lifestyle_blog_get_image_sizes' ) ) :
/**
 * Get information about available image sizes
 */
function feminine_lifestyle_blog_get_image_sizes( $size = '' ) {
 
    global $_wp_additional_image_sizes;
 
    $sizes = array();
    $get_intermediate_image_sizes = get_intermediate_image_sizes();
 
    // Create the full array with sizes and crop info
    foreach( $get_intermediate_image_sizes as $_size ) {
        if ( in_array( $_size, array( 'thumbnail', 'medium', 'medium_large', 'large' ) ) ) {
            $sizes[ $_size ]['width'] = get_option( $_size . '_size_w' );
            $sizes[ $_size ]['height'] = get_option( $_size . '_size_h' );
            $sizes[ $_size ]['crop'] = (bool) get_option( $_size . '_crop' );
        } elseif ( isset( $_wp_additional_image_sizes[ $_size ] ) ) {
            $sizes[ $_size ] = array( 
                'width' => $_wp_additional_image_sizes[ $_size ]['width'],
                'height' => $_wp_additional_image_sizes[ $_size ]['height'],
                'crop' =>  $_wp_additional_image_sizes[ $_size ]['crop']
            );
        }
    } 
    // Get only 1 size if found
    if ( $size ) {
        if( isset( $sizes[ $size ] ) ) {
            return $sizes[ $size ];
        } else {
            return false;
        }
    }
    return $sizes;
}
endif;

if ( ! function_exists( 'feminine_lifestyle_blog_get_fallback_svg' ) ) :    
/**
 * Get Fallback SVG
*/
function feminine_lifestyle_blog_get_fallback_svg( $post_thumbnail ) {
    if( ! $post_thumbnail ){
        return;
    }
    
    $image_size    = feminine_lifestyle_blog_get_image_sizes( $post_thumbnail );
     
    if( $image_size ){ ?>
        <div class="svg-holder">
             <svg class="fallback-svg" viewBox="0 0 <?php echo esc_attr( $image_size['width'] ); ?> <?php echo esc_attr( $image_size['height'] ); ?>" preserveAspectRatio="none">
                    <rect width="<?php echo esc_attr( $image_size['width'] ); ?>" height="<?php echo esc_attr( $image_size['height'] ); ?>" style="fill:var(--primary-color);opacity: 0.03"></rect>
            </svg>
        </div>
        <?php
    }
}
endif;

if( ! function_exists( 'wp_body_open' ) ) :
/**
 * Fire the wp_body_open action.
 * Added for backwards compatibility to support pre 5.2.0 WordPress versions.
*/
function wp_body_open() {
	/**
	 * Triggered after the opening <body> tag.
    */
	do_action( 'wp_body_open' );
}
endif;

if( ! function_exists( 'feminine_lifestyle_blog_is_wpforms_lite_activated' ) ) :
/**
 * Is WPForms Lite active or not
*/
function feminine_lifestyle_blog_is_wpforms_lite_activated(){
    return class_exists( 'WPForms_Lite' ) ? true : false;        
}
endif;

if( ! function_exists( 'feminine_lifestyle_blog_is_sbif_activated' ) ) :
/**
 * Is Smash Balloon Social Photo Feed active or not
*/
function feminine_lifestyle_blog_is_sbif_activated(){
    return class_exists( 'SB_Instagram_Feed' ) ? true : false;
}
endif;

if( ! function_exists( 'feminine_lifestyle_blog_is_woocommerce_activated' ) ) :
/**
 * Is WooCommerce active or not
*/
function feminine_lifestyle_blog_is_woocommerce_activated(){
    return class_exists( 'woocommerce' ) ? true : false;
}
endif;

if( ! function_exists( 'feminine_lifestyle_blog_is_jetpack_activated' ) ) :
/**
 * Query Jetpack activation
*/
function feminine_lifestyle_blog_is_jetpack_activated( $gallery = false ){
	if( $gallery ){
        return ( class_exists( 'jetpack' ) && Jetpack::is_module_active( 'tiled-gallery' ) ) ? true : false;
	}else{
        return class_exists( 'jetpack' ) ? true : false;
    }           
}
endif;

if( ! function_exists( 'feminine_lifestyle_blog_is_classic_editor_activated' ) ) :
/**
 * Checks if classic editor is active or not
*/
function feminine_lifestyle_blog_is_classic_editor_activated(){
    return class_exists( 'Classic_Editor' ) ? true : false; 
}
endif;

if( ! function_exists( 'feminine_lifestyle_blog_entry_header_first' ) ) :
/**
 * Entry Header
*/
function feminine_lifestyle_blog_entry_header_first(){ ?>
    <header class="entry-header">
        <?php      
            if( 'post' === get_post_type() ){
                echo '<div class="entry-meta">';
                    feminine_lifestyle_blog_posted_on(); 
                    feminine_lifestyle_blog_category(); 
                echo '</div>';
            }   

            if ( is_singular() ) :
                the_title( '<h1 class="entry-title">', '</h1>' );
            else :
                the_title( '<h2 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h2>' );
            endif; ?>
    </header>         
    <?php    
}
endif;

if ( ! function_exists( 'feminine_lifestyle_blog_search' ) ) :
/**
 * Search Page Heading
 * 
*/
function feminine_lifestyle_blog_search(){
    if( is_search() ){
        $search_title = get_theme_mod( 'search_title', __( 'Search Result For', 'feminine-lifestyle-blog' ) );
        echo '<div class="page-header__content-wrapper">';
        echo '<h1 class="page-title">' . esc_html( $search_title ) . '</h1>';
        get_search_form();
        feminine_lifestyle_blog_search_per_page_count();
        echo '</div>';  
    }
}
endif;

if ( ! function_exists ( 'feminine_lifestyle_blog_archive_heading' ) ) :
/**
 * Archive Heading
 * 
*/
function feminine_lifestyle_blog_archive_heading(){

    if( is_archive() ){ 
        if( is_author() ){
            feminine_lifestyle_blog_author(); 
        } else {
            echo '<div class="page-header__content-wrapper">';
            the_archive_title();
            the_archive_description( '<div class="archive-description">', '</div>' );
            feminine_lifestyle_blog_search_per_page_count();
            echo '</div>';
        }
    }
}
endif;

if ( ! function_exists( 'feminine_lifestyle_blog_single_layout' ) ) :
/**
* Single Layout 
*/
function feminine_lifestyle_blog_single_layout(){
    
    $ed_crop_single     = get_theme_mod( 'ed_crop_single', false );
    $ed_post_date       = get_theme_mod( 'ed_post_date', false );
    $ed_post_author     = get_theme_mod( 'ed_post_author', false );
    $ed_cat_single      = get_theme_mod( 'ed_category', false );
    $image_size = 'feminine-lifestyle-blog-single-lay-one';
    
    if ( has_post_thumbnail() ) {
        echo '<div class="container">';
            echo '<div class="post-thumbnail">';
                if( $ed_crop_single ){
                    the_post_thumbnail( 'full', array( 'itemprop' => 'image' ) );
                }else{
                    the_post_thumbnail( $image_size, array( 'itemprop' => 'image' ) );
                }
            echo '</div>';
        echo '</div>';
    }

    ?>
    <div class="container">     
        <header class="entry-header">
            <?php
                if( !$ed_cat_single ){ 
                    echo '<div class="entry-meta">';
                        feminine_lifestyle_blog_category(); 
                    echo '</div>';
                }

                the_title( '<h1 class="entry-title">','</h1>' );  

                if( !$ed_post_author || !$ed_post_date ) {
                    echo '<div class="entry-meta">';                                   
                        if( !$ed_post_author ) feminine_lifestyle_blog_posted_by();                                                           
                        if( !$ed_post_date ) feminine_lifestyle_blog_posted_on();
                    echo '</div>';
                }
            ?>
        </header>       
    </div>
    <?php
}
endif;